MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032037Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-04 11:512021-01-10 02:05
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusreviewedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032037: Visualization - move V3d_View::FitMinMax() to Graphic3d_Camera::FitMinMax()
DescriptionV3d_View::FitMinMax() is currently an internal method adjusting camera, but it could be useful also outside of V3d_View.

It is proposed moving implementation to Graphic3d_Camera::FitMinMax(), which will be consistent with another Graphic3d_Camera::ZFitAll() method.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0098019)
git (administrator)
2021-01-09 23:33

Branch CR32037 has been created by kgv.

SHA-1: 2eb1f2d2b2032f296a9bc2ac233e534076b16cc7


Detailed log of new commits:

Author: kgv
Date: Mon Jan 4 11:53:24 2021 +0300

    0032037: Visualization - move V3d_View::FitMinMax() to Graphic3d_Camera::FitMinMax()
(0098031)
kgv (developer)
2021-01-10 02:05

Please raise the patch
- OCCT branch: CR32037.

- Issue History
Date Modified Username Field Change
2021-01-04 11:51 kgv New Issue
2021-01-04 11:51 kgv Assigned To => kgv
2021-01-09 23:33 git Note Added: 0098019
2021-01-10 02:05 kgv Note Added: 0098031
2021-01-10 02:05 kgv Assigned To kgv => bugmaster
2021-01-10 02:05 kgv Status new => resolved
2021-01-10 02:05 kgv Status resolved => reviewed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker